<template>
    <el-dialog title="上报历史" width="80%" v-model="dialogVisible" @close="closed">
        <el-table border :data="dataTable" style="width: 100%; margin-bottom: 10px" v-loading="tableLoading"
            :header-cell-style="{ background: '#F6F6F6' }" height="70vh">
            <el-table-column :prop="item.prop" :label="item.label" v-for="(item, i) in tableColumn" :key="i">
            </el-table-column>
            <el-table-column align="center" label="操作" width="170" fixed="right">
                <template #default="{ row }">
                    <el-link type="primary" @click="onDetail(row)">详情</el-link>
                </template>
            </el-table-column>
        </el-table>
    </el-dialog>

    <el-dialog title="上报历史" width="90%" v-model="detailVisible">
        <el-table border :data="detailTable" style="width: 100%; margin-bottom: 10px" v-loading="detailLoading"
            :header-cell-style="{ background: '#F6F6F6' }" height="70vh">
            <el-table-column align="center" label="操作" width="170" fixed="right">
                <template #default="{ row }">
                    <el-link type="primary" @click="handleDetail(row)">详情</el-link>
                </template>
            </el-table-column>
        </el-table>
    </el-dialog>
    <Dialog @close="detailCCVisible = false" :title="dialogTitle" :detail="detail" v-if="detailCCVisible"
        :query="props.params" type="report" />
</template>

<script setup>
import { onMounted, ref, getCurrentInstance } from "vue"
import { postApi } from "@/api/tobAcco_api.js"
import Dialog from "./dialog.vue";
const { proxy } = getCurrentInstance()
const { D_BZ_SGZT } = proxy.$dict("D_BZ_SGZT")
const emit = defineEmits(["close"]);
const props = defineProps({
    params: Object,
})
const dialogVisible = ref(true)
const dataTable = ref([])
const tableColumn = ref([
    { label: '企业名称', prop: 'baOrgName', fixed: 'left' },
    { label: '场所总数', prop: 'placeCount' },
    { label: '封仓数量', prop: 'fcCount' },
    { label: '封垛数量', prop: 'fdCount' },
    { label: '其他数量', prop: 'qtCount' },
    { label: '最后一次上报时间', prop: 'updateTime', fixed: 'right' },
])
const tableLoading = ref(false)
const detailVisible = ref(false)
const detailCCVisible = ref(false)
const dialogTitle = ref("")
const detail = ref(null)
const detailTable = ref([])
const detailColumn = ref([
    { label: "企业名称", prop: "baOrgName" },
    { label: "场所（设备）名称", prop: "placeEquipmentName" },
    { label: "作业人员数量", prop: "fumigationOpsPersonQty" },
    { label: "作业相关方名称", prop: "name" },
    { label: "熏蒸杀虫作业周期", prop: "fumigationOpsCycleName" },
    { label: "熏蒸杀虫作业熏蒸方式", prop: "fumigationOpsModeName" }
])
const detailLoading = ref(false)
onMounted(() => {
    getDataList()
})
const getDataList = () => {
    dataTable.value = []
    tableLoading.value = true
    postApi(props.params, "/mosty-jcgl/data/FumigationOpsSite/queryReportingHistoryStat").then(res => {
        if (res) {
            dataTable.value = res
            tableLoading.value = false
        }
    })
}
const getDetailList = data => {
    detailTable.value = []
    detailLoading.value = true
    let _data = props.params
    _data.sbcs = data.sbcs
    _data.orgCode = data.orgCode
    postApi(_data, "/mosty-jcgl/data/FumigationOpsSite/queryReportingHistoryStatLogDetails").then(res => {
        if (res) {
            detailTable.value = res
            detailLoading.value = false
        }
    })
}
const onDetail = e => {
    detailVisible.value = true
    getDetailList(e)
}
const handleDetail = row => {
    detail.value = row
    dialogTitle.value = `熏蒸杀虫作业场所详情`
    detailCCVisible.value = true
}
const closed = () => {
    emit("close");
};
</script>

<style lang="scss" scoped></style>
